Bug 1121530 - Steps for deployment removal are missing
Summary: Steps for deployment removal are missing
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: post-GA
: EAP 6.3.0
Assignee: David Michael
QA Contact: Martin Velas
URL:
Whiteboard:
Depends On: 1105442
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-21 07:25 UTC by Martin Velas
Modified: 2015-07-13 04:17 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Build Name: 22508, Administration and Configuration Guide-6.3-1 Build Date: 17-07-2014 23:26:30 Topic ID: 4747-591673 [Specified]
Last Closed: 2014-11-23 23:16:52 UTC
Type: Enhancement


Attachments (Terms of Use)

Description Martin Velas 2014-07-21 07:25:46 UTC
Title: Application Deployment

Describe the issue:
For each of the ways of the application deployment (console, CLI, deployment scanner), there is missing information how to remove this deployment.

Suggestions for improvement:
* for management console - Remove button in the Runtime->Manage Deployments section
* for CLI interface - /deployment=<deployment_name>:remove
* for deployment scanner - undeploy application and then remove the related files (application and the *.undeployed marker)

Additional information:
In https://bugzilla.redhat.com/show_bug.cgi?id=1105442 the missing steps for the deployment removal using management console are already reported.

Comment 2 David Michael 2014-08-19 05:34:53 UTC
Topic created: Undeploy an Application Using the Management Console

Summary of changes/updates:
- Created a new topic: Undeploy an Application Using the Management Console [41122]
- Updated the CS22815: http://virt-ecs-01.lab.eng.bne.redhat.com:8080/pressgang-ccms-ui-next/#ContentSpecFilteredResultsAndContentSpecView;query;contentSpecIds=22815 

These topics already exist
* for CLI interface - /deployment=<deployment_name>:remove
* for deployment scanner - undeploy application and then remove the related files (application and the *.undeployed marker)

Link to topic: http://documentation-devel.engineering.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/6.3/html-single/Administration_and_Configuration_Guide/index.html#Undeploy_an_Application_Using_the_Management_Console1

Build ID: Revision 6.3.0-42

Comment 6 Martin Velas 2014-09-29 07:20:17 UTC
This note in Revision 6.3.0-45 is sufficient in my opinion.


Note You need to log in before you can comment on or make changes to this bug.